import 'dart:io';

import 'package:path/path.dart' as path;

import 'ios_assets.dart';

const _iconFileName = 'ic_launcher.png';

class IosAssetExtractor {
  final String _launcherIconsDirPath;
  late final _iosDirPath = path.join(_launcherIconsDirPath, 'ios');

  IosAssetExtractor(this._launcherIconsDirPath);

  Future<IosAssets?> findAll() async {
    final iconFilePath = path.join(_iosDirPath, _iconFileName);
    final iconFile = File(iconFilePath);
    if (iconFile.existsSync()) {
      return IosAssets(icon: iconFile);
    }
    return null;
  }
}
