import 'dart:io';

import 'package:path/path.dart' as path;

import 'web_assets.dart';

const _iconFileName = 'ic_launcher.png';

class WebAssetExtractor {
  final String _launcherIconsDirPath;
  late final _webDirPath = path.join(_launcherIconsDirPath, 'web');

  WebAssetExtractor(this._launcherIconsDirPath);

  Future<WebAssets?> findAll() async {
    final iconFilePath = path.join(_webDirPath, _iconFileName);
    final iconFile = File(iconFilePath);
    if (iconFile.existsSync()) {
      return WebAssets(icon: iconFile);
    }
    return null;
  }
}
