import 'android_paths.dart' as android_paths;

class IconTemplate {
  const IconTemplate({
    required this.size,
    required this.sizeDirectory,
  });

  final int size;
  final String sizeDirectory;

  String buildPath() =>
      android_paths.findIconPath(sizeDirectory: sizeDirectory);
}

class ForegroundIconTemplate extends IconTemplate {
  const ForegroundIconTemplate({
    required int size,
    required String sizeDirectory,
  }) : super(size: size, sizeDirectory: sizeDirectory);

  @override
  String buildPath() => android_paths.findAdaptiveIconForegroundPath(
      sizeDirectory: sizeDirectory);
}

class BackgroundIconTemplate extends IconTemplate {
  const BackgroundIconTemplate({
    required int size,
    required String sizeDirectory,
  }) : super(size: size, sizeDirectory: sizeDirectory);

  @override
  String buildPath() => android_paths.findAdaptiveIconBackgroundPath(
      sizeDirectory: sizeDirectory);
}
