import 'dart:io';

import 'package:image/image.dart';

class ImageDecoder {
  Future<Image> decodeImageFile(File file) async {
    final bytes = await file.readAsBytes();
    final image = decodeImage(bytes);
    if (image == null) {
      throw 'Could not decode image ${file.path}';
    }
    return image;
  }

  Image createResizedImage(int iconSize, Image image) {
    if (image.width >= iconSize) {
      return copyResize(
        image,
        width: iconSize,
        height: iconSize,
        interpolation: Interpolation.average,
      );
    } else {
      return copyResize(
        image,
        width: iconSize,
        height: iconSize,
        interpolation: Interpolation.linear,
      );
    }
  }
}
