import 'package:path/path.dart' as path;

final testAppPath = path.join('test', 'test_app');
final androidPath = path.join(testAppPath, 'android');
final webPath = path.join(testAppPath, 'web');
final iosPath = path.join(testAppPath, 'ios');
final androidIconDir =
    path.join(testAppPath, 'android', 'app', 'src', 'main', 'res');
final webIconDir = path.join(webPath, 'icons');
final iosIconDir =
    path.join(iosPath, 'Runner', 'Assets.xcassets', 'AppIcon.appiconset');
final complexAssets = path.join('test', 'assets_complex');
final simpleAssets = path.join('test', 'assets_simple');

const androidExpectedIconsFolders = <String, int>{
  'mipmap-mdpi': 48,
  'mipmap-hdpi': 72,
  'mipmap-xhdpi': 96,
  'mipmap-xxhdpi': 144,
  'mipmap-xxxhdpi': 192
};

const androidExpectedAdaptiveIconsFolders = <String, int>{
  'drawable-mdpi': 108,
  'drawable-hdpi': 162,
  'drawable-xhdpi': 216,
  'drawable-xxhdpi': 324,
  'drawable-xxxhdpi': 432,
};
const androidIconName = 'ic_launcher.png';
const androidBackgroundName = 'ic_launcher_background.png';
const androidForegroundName = 'ic_launcher_foreground.png';
const androidAdaptiveIconXmlFolder = 'mipmap-anydpi-v26';
const androidAdaptiveIconName = 'ic_launcher.xml';
final androidAdaptiveIconXmlContent = '''
<?xml version="1.0" encoding="utf-8"?>
<adaptive-icon xmlns:android="http://schemas.android.com/apk/res/android">
  <background android:drawable="@drawable/ic_launcher_background"/>
  <foreground android:drawable="@drawable/ic_launcher_foreground"/>
</adaptive-icon>
'''
    .trim();

const webFavicon = 'favicon.png';
const webFaviconSize = 32;
const webIcons = {
  'Icon-192.png': 192,
  'Icon-512.png': 512,
  'Icon-maskable-192.png': 192,
  'Icon-maskable-512.png': 512,
};

const iosIcons = {
  'Icon-App-20x20@1x.png': 20,
  'Icon-App-20x20@2x.png': 40,
  'Icon-App-20x20@3x.png': 60,
  'Icon-App-29x29@1x.png': 29,
  'Icon-App-29x29@2x.png': 58,
  'Icon-App-29x29@3x.png': 87,
  'Icon-App-40x40@1x.png': 40,
  'Icon-App-40x40@2x.png': 80,
  'Icon-App-40x40@3x.png': 120,
  'Icon-App-60x60@2x.png': 120,
  'Icon-App-60x60@3x.png': 180,
  'Icon-App-76x76@1x.png': 76,
  'Icon-App-76x76@2x.png': 152,
  'Icon-App-83.5x83.5@2x.png': 167,
  'Icon-App-1024x1024@1x.png': 1024,
};
