import 'dart:io';

import 'expectations.dart';

Future<void> removeFlutterApp() async {
  await Process.run('rm', ['-rf', testAppPath]);
}

Future<void> copyComplexAssetsIntoApp() async {
  await Process.run(
    'cp',
    ['-R', complexAssets, testAppPath],
    runInShell: true,
  );
}

Future<void> copySimpleAssetsIntoApp() async {
  await Process.run(
    'cp',
    ['-R', simpleAssets, testAppPath],
    runInShell: true,
  );
}

Future<void> runCli() async {
  final process = await Process.start(
    'dart',
    ['run', '../../bin/launcher_icons_generator.dart'],
    workingDirectory: testAppPath,
    mode: ProcessStartMode.inheritStdio,
    runInShell: true,
  );
  await process.exitCode;
}
